/*
 +---------------------------------------------------------------------+
 | stddef.h                                                            |
 | standard definitions - NCIS tools                                   |
 |                                                                     |
 | Author:  Bob Pill, NCIS                                             |
 |          bobp@newcorridor.com                                       |
 |                                                                     |
 | Created: Sept 15, 1997                                              |
 |                                                                     |
 | Copyright (c) 1997 New Corridor Information Services.               |
 | All rights reserved.                                                |
 |                                                                     |
 |                                                                     |
 | THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR        |
 | IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED      |
 | WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR          |
 | PURPOSE.                                                            |
 |                                                                     |
 |---------------------------------------------------------------------|
 |  ***Revision-History***  Begin-Log                                  |
 |     Initial creation - (started at ver 2.0.1) Sept 15, 1997 (BP)    |
 |     Version 2.1.0 update Jan 01, 1998 (BP)                          |
 |     Version 2.1.1 update Feb 03, 1998 (BP)                          |
 |     Version 2.1.2 update May 17, 1998 (BP)                          |
 |     Version 2.1.3 update Aug 04, 1998 (BP)                          |
 |  ***Revision-History***  End-Log                                    |
 +---------------------------------------------------------------------+
*/


#ifndef __STDDEF_H

#define __STDDEF_H

typedef unsigned char BYTE;
typedef int BOOL;


// standard return codes

#define RC_SUCCESS                    0
#define RC_FAILED                    -1
#define RC_INVALID_CMDLINE_ARGS      -2
#define RC_JOBEXIT                   -3
#define RC_JOBFAILED                 -4
#define RC_JOBABORT                  -8
#define RC_INVALID_PARAMETER         -9
#define RC_TRUNCATION_OCCURRED      -10
#define RC_MEMORY_ALLOCATION_ERROR  -11
#define RC_FILE_OPEN_ERROR          -12
#define RC_FORMAT_ERROR             -13
#define RC_USER_NOT_FOUND           -14
#define RC_AUTHENTICATION_FAILED    -15
#define RC_USERID_PROHIBITED        -16
#define RC_UNKNOWN_FUNCTION_REQUEST -17
#define RC_DEVICE_CONTROL_ERROR     -18
#define RC_DUPLICATE_ITEM          -101
#define RC_ITEM_NOT_FOUND          -102
#define RC_MISSING_ARGUMENT        -103
#define RC_SOCKET_CREATE_FAILED   -1001
#define RC_SOCKET_BIND_FAILED     -1002
#define RC_SOCKET_LISTEN_FAILED   -1003
#define RC_SOCKET_ACCEPT_FAILED   -1004
#define RC_SOCKET_CONNECT_FAILED  -1005
#define RC_SOCKET_READ_ERROR      -1006 
#define RC_SOCKET_WRITE_ERROR     -1007


// misc defines

#define MAX_PATHNAME  128
#define ERRORMSG_SIZE 128
#define TRUE  1
#define FALSE 0
#define ROOT_USERID 0
#define VRSN_MAX 32

// ASCII
#define ASCII_CR 0x0d
#define ASCII_LF 0x0a


#endif // __STDDEF_H

//---------------------------------------------------------------------
// end-of-file: stddef.h                                                  
//---------------------------------------------------------------------

